package gov.loc.marcxml;

import java.io.InputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import org.marc4j.MarcReader;
import org.marc4j.MarcStreamReader;
import org.marc4j.MarcWriter;
import org.marc4j.MarcXmlWriter;
import org.marc4j.converter.impl.AnselToUnicode;
import org.marc4j.marc.Record;

public class MARC2MARC21slim {

    public static void main(String args[]) throws Exception {
        InputStream input = new FileInputStream(args[0]);
        MarcReader reader = new MarcStreamReader(input);
        MarcXmlWriter writer = new MarcXmlWriter(new FileOutputStream(args[1]), true);
	    while (reader.hasNext()) {
	        Record record = reader.next();
		writer.write(record);
            }
        writer.close();
    }
}
